Bug 4486 - Remove our VirtualBox scripts
Summary: Remove our VirtualBox scripts
Status: CLOSED FIXED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: | VDI (deprecated) (show other bugs)
Version: 3.4.0
Hardware: PC Unknown
: P2 Normal
Target Milestone: 4.1.0
Assignee: Henrik Andersson
URL:
Keywords: aaron_tester
Depends on:
Blocks:
 
Reported: 2012-11-20 13:21 CET by Peter Åstrand
Modified: 2013-05-28 09:39 CEST (History)
0 users

See Also:
Acceptance Criteria:


Attachments

Comment 1 Pierre Ossman cendio 2013-04-18 10:46:13 CEST
Remove xdpyinfo from the vsm package as well, as VirtualBox is the only user.
Comment 2 Henrik Andersson cendio 2013-04-24 07:50:26 CEST
Commit r27152 removes the build of virtualbox from tlmisc package.
Comment 3 Henrik Andersson cendio 2013-04-24 07:52:10 CEST
Commit r27153 removes the virtualbox tools and stanza example in profiles.hconf.in.
Comment 4 Henrik Andersson cendio 2013-04-24 07:56:57 CEST
Commit 27154 removes the translations for VirtualBox Machine description string for profiles.hconf template.
Comment 5 Henrik Andersson cendio 2013-04-24 08:09:47 CEST
(In reply to comment #2)
> Commit r27152 removes the build of virtualbox from tlmisc package.

Missed to remove vdi-user.hconf in this commit, complementary commit
is r27155
Comment 6 Henrik Andersson cendio 2013-04-24 08:13:14 CEST
(In reply to comment #5)
> (In reply to comment #2)
> > Commit r27152 removes the build of virtualbox from tlmisc package.
> 
> Missed to remove vdi-user.hconf in this commit, complementary commit
> is r27155

Remove of vdi-user.hconf from spec template file commited in 27156.
Comment 7 Henrik Andersson cendio 2013-04-24 09:16:28 CEST
Commit r27158 cleans up the documentation from VirtualBox integrations.
Comment 9 Henrik Andersson cendio 2013-04-24 12:33:10 CEST
Commit 27163 removes documentation and references to tlcloneprep which is a VirtualBox specific tool.
Comment 10 Henrik Andersson cendio 2013-04-24 13:00:35 CEST
Commit 27164 remove tlcloneprep from inclusion in wts-tools.
Comment 11 Henrik Andersson cendio 2013-04-24 13:08:22 CEST
Looks like i have spotted all of it, tester should verify that wts-tools doesn't
ship VirtualBox tool tlcloneprep and that documentation and scripts for integration are removed.
Comment 13 Henrik Andersson cendio 2013-04-24 13:28:30 CEST
(In reply to comment #1)
> Remove xdpyinfo from the vsm package as well, as VirtualBox is the only user.

Commit 27166 removes xdpyinfo from vsm package.
Comment 15 Henrik Andersson cendio 2013-04-25 12:25:11 CEST
Related virtualbox bugs are now closed as wontfix.
Comment 16 Pierre Ossman cendio 2013-05-14 13:11:12 CEST
The wts-tools installer still references tlcloneprep.
Comment 17 Henrik Andersson cendio 2013-05-14 15:04:45 CEST
(In reply to comment #16)
> The wts-tools installer still references tlcloneprep.

Already fixed in commit r27164
Comment 18 Aaron Sowry cendio 2013-05-16 14:16:57 CEST
Documentation still references vdi-user.hconf
Comment 19 Henrik Andersson cendio 2013-05-17 09:28:21 CEST
(In reply to comment #18)
> Documentation still references vdi-user.hconf

Fixed in commit r27399.
Comment 20 Henrik Andersson cendio 2013-05-17 10:28:57 CEST
Removed mentioning VirtualBox in combination with VirtualGL
fixed in commit r27400.
Comment 21 Aaron Sowry cendio 2013-05-28 09:39:14 CEST
Looks good now to me. There is some mention of VirtualBox left in the presentation on the website, bug #4662 has been opened to handle this. Closing.

Note You need to log in before you can comment on or make changes to this bug.